Network.Connection

# Type for a connection

data Connection

connectionID

data ConnectionParams

data TLSSettings

data ProxySettings

type SockSettings

# Exceptions

data LineTooLong

data HostNotResolved

data HostCannotConnect

# Library initialization

initConnectionContext

data ConnectionContext

# Connection operation

connectFromHandle

connectFromSocket

connectTo

connectionClose

# Sending and receiving data

connectionGet

connectionGetExact

connectionGetChunk

connectionGetChunk'

connectionGetLine

connectionWaitForInput

connectionPut

# TLS related operation

connectionSetSecure

connectionIsSecure